- name: wago_simulator
  plugin: bliss
  module: wago.wago
  class: WagoMockup
  modbustcp:
      url: localhost
  ignore_missing: True
  mapping:
      - type: 750-504
        logical_names: foh2ctrl, foh2ctrl, foh2ctrl, foh2ctrl
      - type: 750-408
        logical_names: foh2pos, sain2, foh2pos, sain4
      - type: 750-408
        logical_names: foh2pos, sain6, foh2pos, sain8
      - type: 750-408
        logical_names: pres
      - type: 750-469
        logical_names: esTf1, esTf2
      - type: 750-469
        logical_names: esTf3, esTf4
      - type: 750-469
        logical_names: esTr1, esTr2
      - type: 750-469
        logical_names: esTr3, esTr4
      - type: 750-517
        logical_names: intlckf1, intlckf2
      - type: 750-630
        logical_names: encoder1
      - type: 750-508
        logical_names: special_out_1, special_out_2
      - type: 750-554
        logical_names: o10v1, o10v2
      - type: 750-517
        logical_names: double_out, double_out
      - type: 750-557
        logical_names: v750_557, v750_557, v750_557, v750_557
      
  counter_names: esTr1, esTr2
  interlocks:
      - relay: intlckf1
        flags: STICKY
        description: Interlock
        channels:
            - logical_name: esTf1
              type: TC
              min: 10
              max: 50
            - logical_name: esTf2
              type: TC
              min: -10
              max: 50.5
            - logical_name: esTr1
              type: TC
              min: 10
              max: 50
            - logical_name: esTr2
              type: TC
              min: 10
              max: 50
      - relay: intlckf2
        flags: STICKY
        description: _Interlock 2
        channels:
            - logical_name: esTr1
              type: TC
              min: -10
              max: 50.5
            - logical_name: esTr2
              type: TC
              min: -10
              max: 50

- name: transfocator_wago_simulator
  plugin: bliss
  module: wago.wago
  class: WagoMockup
  modbustcp:
      url: localhost
  mapping:
    - type: 750-530
      logical_names: ctrl,ctrl,ctrl,ctrl,ctrl,ctrl,ctrl,ctrl
    - type: 750-530
      logical_names: out1,out2,out3,out4,out5,out6,out7,out8
    - type: 750-436
      logical_names: status,status,status,status,status,status,status,status
    - type: 750-436
      logical_names: status,status,status,status,status,status,status,status
    - type: 750-436
      logical_names: status,status,_,_,_,_,_,_

- name: wago_autof_filta
  plugin: bliss
  module: wago.wago
  class: WagoMockup
  modbustcp:
      url: localhost
  ignore_missing: True
  mapping:
  - type: 750-504
    logical_names: filtA, filtA, filtA, filtA


- name: wago_femto_simulator
  plugin: bliss
  module: wago.wago
  class: WagoMockup
  modbustcp:
      url: localhost
  ignore_missing: True
  mapping:
       # card config for femto controller tests
      - type: 750-556        
        logical_names: f1oset,f2oset
      - type: 750-519
        logical_names: f1gain,f1gain,f1gain,f1hilo
      - type: 750-414
        logical_names: f1ovl
      - type: 750-519
        logical_names: f2gain,f2gain,f2gain,f2hilo
      - type: 750-414
        logical_names: f2ovl

